/* Googlefont Poppins CDN Link */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.sidebar {
    position: fixed;
    height: 100%;
    width: 240px;
    background: #0083C3;
    transition: all 0.5s ease;
}

.sidebar.active {
    width: 60px;
}

.sidebar .logo-details {
    height: 80px;
    display: flex;
    align-items: center;
}

.sidebar .logo-details i {
    font-size: 28px;
    font-weight: 500;
    color: #fff;
    min-width: 60px;
    text-align: center;
}

.sidebar .logo-details .logo_name {
    color: #fff;
    font-size: 22px;
    font-weight: 500;
}

.sidebar .nav-links {
    margin-top: 10px;
}

.sidebar .nav-links li {
    position: relative;
    list-style: none;
    height: 50px;
}

.sidebar .nav-links li a {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    text-decoration: none;
    transition: all 0.4s ease;
}

.sidebar .links li a.active {
    background: #081d45;
}

.sidebar .nav-links li a:hover {
    background: #081d45;
}

.sidebar .nav-links li i {
    min-width: 60px;
    text-align: center;
    font-size: 18px;
    color: #fff;
}

.sidebar .nav-links li a .links_name {
    color: #fff;
    font-size: 15px;
    font-weight: 400;
    white-space: nowrap;
}

.sidebar .nav-links .log_out {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.home-section {
    position: relative;
    background: #f5f5f5;
    min-height: 100vh;
    width: calc(100% - 240px);
    left: 240px;
    transition: all 0.5s ease;
}

.sidebar.active~.home-section {
    width: calc(100% - 60px);
    left: 60px;
}

.home-section nav {
    display: flex;
    justify-content: space-between;
    height: 80px;
    background: #fff;
    display: flex;
    align-items: center;
    position: fixed;
    width: calc(100% - 240px);
    left: 240px;
    z-index: 100;
    padding: 0 20px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease;
}

.sidebar.active~.home-section nav {
    left: 60px;
    width: calc(100% - 60px);
}

.home-section nav .sidebar-button {
    display: flex;
    align-items: center;
    font-size: 24px;
    font-weight: 500;
}

nav .sidebar-button i {
    font-size: 35px;
    margin-right: 10px;
}

.home-section nav .search-box {
    position: relative;
    height: 50px;
    max-width: 550px;
    width: 100%;
    margin: 0 20px;
}

nav .search-box input {
    height: 100%;
    width: 100%;
    outline: none;
    background: #f5f6fa;
    border: 2px solid #efeef1;
    border-radius: 6px;
    font-size: 18px;
    padding: 0 15px;
}

nav .search-box .bx-search {
    position: absolute;
    height: 40px;
    width: 40px;
    background: #2697ff;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 4px;
    line-height: 40px;
    text-align: center;
    color: #fff;
    font-size: 22px;
    transition: all 0.4 ease;
}

.home-section nav .profile-details {
    display: flex;
    align-items: center;
    background: #f5f6fa;
    border: 2px solid #efeef1;
    border-radius: 6px;
    height: 50px;
    min-width: 190px;
    padding: 0 15px 0 2px;
}

nav .profile-details img {
    height: 40px;
    width: 40px;
    border-radius: 6px;
    object-fit: cover;
}

nav .profile-details .admin_name {
    font-size: 15px;
    font-weight: 500;
    color: #333;
    margin: 0 10px;
    white-space: nowrap;
}

nav .profile-details i {
    font-size: 25px;
    color: #333;
}

.home-section .home-content {
    position: relative;
    padding-top: 104px;
}


/* left box */


/* Responsive Media Query */

@media (max-width: 1240px) {
    .sidebar {
        width: 60px;
    }
    .sidebar.active {
        width: 220px;
    }
    .home-section {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active~.home-section {
        /* width: calc(100% - 220px); */
        overflow: hidden;
        left: 220px;
    }
    .home-section nav {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active~.home-section nav {
        width: calc(100% - 220px);
        left: 220px;
    }
}

@media (max-width: 1150px) {
    .home-content .sales-boxes {
        flex-direction: column;
    }
    .home-content .sales-boxes .box {
        width: 100%;
        overflow-x: scroll;
        margin-bottom: 30px;
    }
    .home-content .sales-boxes .top-sales {
        margin: 0;
    }
}

@media (max-width: 1000px) {
    .overview-boxes .box {
        width: calc(100% / 2 - 15px);
        margin-bottom: 15px;
    }
}

@media (max-width: 700px) {
    nav .sidebar-button .dashboard,
    nav .profile-details .admin_name,
    nav .profile-details i {
        display: none;
    }
    .home-section nav .profile-details {
        height: 50px;
        min-width: 40px;
    }
    .home-content .sales-boxes .sales-details {
        width: 560px;
    }
}

@media (max-width: 550px) {
    .overview-boxes .box {
        width: 100%;
        margin-bottom: 15px;
    }
    .sidebar.active~.home-section nav .profile-details {
        display: none;
    }
}

@media (max-width: 400px) {
    .sidebar {
        width: 0;
    }
    .sidebar.active {
        width: 60px;
    }
    .home-section {
        width: 100%;
        left: 0;
    }
    .sidebar.active~.home-section {
        left: 60px;
        width: calc(100% - 60px);
    }
    .home-section nav {
        width: 100%;
        left: 0;
    }
    .sidebar.active~.home-section nav {
        left: 60px;
        width: calc(100% - 60px);
    }
}


/*IN PUT*/

input,
textarea,
select {
    margin-bottom: 10px;
    box-sizing: border-box;
    width: 100%;
    height: 40px;
    margin: 8px 0px;
    padding: 4px 5px;
    border-radius: 5px;
    border: 4px solid #ccc;
}

.radio {
    margin-bottom: 10px;
    width: 20px;
}

button {
    background-color: #1b6ab4;
    color: white;
    width: 200px;
    height: 50px;
    border: 3px solid #ccc;
}

label {
    display: block;
    width: 100px;
}

form {
    width: 100%;
}


/* ALERT*/

.alert {
    margin: 10px;
    padding: 15px;
    color: white;
    border-radius: 10px;
}

.alert.danger {
    background-color: red;
}

.alert.success {
    background-color: #070592;
}

.alert.warning {
    background-color: #f3601b;
}


/*TABLEAU*/

table.mtable {
    width: 100%;
    border-collapse: collapse;
    width: 100%;
    border: 1px solid #302f2f;
}

th,
td {
    text-align: left;
    padding: 10px;
}

table.mtable tr:nth-child(even) {
    background: #bbb8b8;
}

table.mtable td {
    padding: 10px;
}

ul.mtable,
ol.mtable {
    padding: 0;
    margin: 0;
    list-style: none;
}

ul.mtable li,
ol.mtable li {
    padding: 10px;
}

ul.mtable li:nth-child(even),
ol.mtable li:nth-child(even) {
    background: #f2f2f2;
}

.lead {
    background-color: #e3e6e9;
    color: rgb(10, 10, 10);
    border-color: #efeef1;
    border-radius: 30px;
    padding-top: 5px;
    text-align: center;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 200;
}

.btndetails {
    background-color: #2ec3fd;
    padding-bottom: 0px;
    width: 240px;
}

.btnsearch {
    background-color: #2ec3fd;
    padding-bottom: 5px;
    width: 400px;
    height: 30px;
}

h4 {
    margin: 10px;
}

.card {
    width: 270px;
    height: 180px;
}

.leadtext1 {
    padding-top: 20px;
    font-size: 16px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: bold;
}

.leadtext2 {
    font-size: 16px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: bold;
    color: #0e0845;
}